{ lib, config, pkgs, modulesPath, ... }:

let
  cfg = config.cspark-desktop-gnome-config-1;
in
{
  options.cspark-desktop-gnome-config-1 = {
    enable 
      = lib.mkEnableOption "Enable Custom GNOME Desktop Setup 1";
  };

  config = lib.mkIf cfg.enable {
    # Config Files (typically $HOME/.config)
    xdg.configFile = {
      "vesktop/themes".source = ./resources/home-manager/.config/vesktop/themes;
      "foot/foot.ini".source = ./resources/home-manager/.config/foot/foot.ini;
    };

    home.sessionVariables = {
      TERM = "foot";
      QT_QPA_PLATFORM = "wayland";
      QT_WAYLAND_DISABLE_WINDOWDECORATION = "1";
      SDL_VIDEODRIVER = "wayland,x11,windows";
      MOZ_ENABLE_WAYLAND = "1";
      # Enable native wayland support for chromium and electron based applications
      NIXOS_OZONE_WL = "1";
    };
  };
}
